org.eclipse.wst.jsdt.chromium

## Interface Script

All Superinterfaces:
  UpdatableScript

    public interface Script
    extends UpdatableScript

An objects that holds data for a "script" which is a part of a resource loaded into the browser, identified by its original document URL, line offset in the original document, and the line count this script spans. Its `UpdatableScript` aspect is refactored out as a separate interface not to overload `Script`.

### Nested Class Summary

Nested Classes
`static class` `Script.Type` Denotes a script type.

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript

`UpdatableScript.ChangeDescription, UpdatableScript.ChangeStatus, UpdatableScript.CompileErrorFailure, UpdatableScript.Failure, UpdatableScript.FunctionNode<T extends UpdatableScript.FunctionNode<T>>, UpdatableScript.FunctionPositions, UpdatableScript.NewFunctionNode, UpdatableScript.OldFunctionNode, UpdatableScript.TextualDiff, UpdatableScript.UpdateCallback`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEndLine()`
`java.lang.Object` `getId()` Returns the script ID as reported by the JavaScript VM debugger.
`java.lang.String` `getName()`
`java.lang.String` `getSource()`
`int` `getStartColumn()`
`int` `getStartLine()`
`Script.Type` `getType()`
`boolean` `hasSource()`
`boolean` `isCollected()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript

`previewSetSource, setSourceOnRemote`

### Method Detail

#### getType

    Script.Type getType()

Returns:
  the script type

#### getName

    java.lang.String getName()

Returns:
  the original document URL for this script known by Chromium. A null name for eval'd scripts

#### getId

    java.lang.Object getId()

Returns the script ID as reported by the JavaScript VM debugger. The actual ID type is backend-specific, however it must provide equals/hashCode/toString methods and be serializable.

#### getStartLine

    int getStartLine()

Returns:
  the start line of this script in the original document (zero-based)

#### getStartColumn

    int getStartColumn()

Returns:
  the start column of this script in the original document (zero-based)

#### getEndLine

    int getEndLine()

Returns:
  the end line of this script in the original document (zero-based), inclusive

#### getSource

    java.lang.String getSource()

Returns:
  the currently set source text of this script

#### hasSource

    boolean hasSource()

Returns:
  whether the source for this script is known

#### isCollected

    boolean isCollected()

Returns:
  whether the script has been collected on remote